package cn.yundev.xzy.biz.impl;

import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;

import cn.yundev.xzy.biz.service.UserService;
import cn.yundev.xzy.dal.dao.UserDAO;
import cn.yundev.xzy.dataobject.UserDO;

public class UserServiceImpl implements UserService{
	
	@Autowired
	private UserDAO userDAO;

	@Override
	public UserDO getUser(Integer id) {
		UserDO user = userDAO.getById(id);
		if (user == null) return null;
		return user;
	}

	@Override
	public UserDO getUserByName(String username) {
		return userDAO.getByName(username);
	}

	@Override
	public List<UserDO> getAll() {
		return userDAO.getAll();
	}

	@Override
	public boolean insert(UserDO user) {
		String username = user.getUsername();
		UserDO userInfo = userDAO.getByName(username);
		if (userInfo != null) return false;
		userDAO.insert(user);
		return true;
	}

	@Override
	public boolean delete(Integer uid) {
		userDAO.delete(uid);
		return true;
	}

	@Override
	public boolean update(UserDO user, Integer id) {
		String username = user.getUsername();
		UserDO userInfo = userDAO.getByName(username);
		if (userInfo != null) return false;
		user.setUid(id);
		userDAO.update(user);
		return false;
	}
}
