package cn.yundev.xzy.dal.impl;

import java.util.HashMap;
import java.util.List;

import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;

import cn.yundev.xzy.dal.dao.AddressBookDAO;
import cn.yundev.xzy.dataobject.AddressBookDO;

public class AddressBookDAOImpl extends SqlMapClientDaoSupport  implements AddressBookDAO{

	@Override
	public AddressBookDO getById(Integer id) {
		return (AddressBookDO) getSqlMapClientTemplate().queryForObject("getBookById",id);
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<AddressBookDO> getByUid(Integer uid) {
		return getSqlMapClientTemplate().queryForList("getBookByUid", uid);
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<AddressBookDO> getAll() {
		return getSqlMapClientTemplate().queryForList("getBookAll",null);
	}

	@Override
	public void insert(AddressBookDO data) {
		this.getSqlMapClientTemplate().insert("insertBook", data);
	}

	@Override
	public void delete(Integer id) {
		this.getSqlMapClientTemplate().delete("deleteBook", id);
	}

	@Override
	public void update(AddressBookDO data) {
		this.getSqlMapClientTemplate().update("updateBook", data);
	}

	@Override
	public int getCount() {
		Object num = this.getSqlMapClientTemplate().queryForObject("getBookCount");
		if (num == null) return 0;
		return Integer.valueOf(String.valueOf(num)).intValue();
	}

	@Override
	public int getByUidCount(Integer uid) {
		Object num = this.getSqlMapClientTemplate().queryForObject("getBookByUidCount", uid);
		if (num == null) return 0;
		return Integer.valueOf(String.valueOf(num)).intValue();
	}

	@SuppressWarnings("unchecked")
	@Override
	public List<AddressBookDO> getList(Integer uid, Integer start, Integer end) {
		HashMap<String, Integer> params = new HashMap<String, Integer>();
		params.put("uid", uid);
		return getSqlMapClientTemplate().queryForList("getBookByUid", params, start, end);
	}

}
