package cn.yundev.xzy.dal.impl;

import java.util.List;

import org.springframework.orm.ibatis.support.SqlMapClientDaoSupport;

import cn.yundev.xzy.dal.dao.UserDAO;
import cn.yundev.xzy.dataobject.UserDO;

public class UserDAOImpl extends SqlMapClientDaoSupport implements UserDAO {

	@Override
	public UserDO getById(Integer id) {
		return (UserDO)getSqlMapClientTemplate().queryForObject("getById",id);
	}

	@Override
	public UserDO getByName(String username) {
		return (UserDO)getSqlMapClientTemplate().queryForObject("getByName", username);
	}

	@Override
	@SuppressWarnings("unchecked")
	public List<UserDO> getAll() {
		return getSqlMapClientTemplate().queryForList("getAll",null);
	}

	@Override
	public void insert(UserDO user) {
		this.getSqlMapClientTemplate().insert("insert",user);
	}

	@Override
	public void delete(Integer uid) {
		this.getSqlMapClientTemplate().delete("delete",uid);
	}

	@Override
	public void update(UserDO user) {
		this.getSqlMapClientTemplate().update("update",user);
	}
}
