package cn.yundev.xzy.dataobject;

import java.io.Serializable;

import javax.validation.constraints.Size;

import org.hibernate.validator.constraints.Email;
import org.hibernate.validator.constraints.NotEmpty;

public class UserDO  implements Serializable {
	
	private static final long serialVersionUID = 9108710473513222288L;
	
	private int uid;

	@Size(min=3,max=16,message="用户名长度必须大于3位并且小于16位")
	private String username;
	
	@Size(min=6,max=16,message="密码长度必须大于6位并且小于16位")
	private String password;
	
	@NotEmpty(message="姓名不能为空")
	private String name;
	
	@NotEmpty(message="邮箱地址不能为空")
	@Email(message="邮件地址非法")
	private String email;  
	private int groupid;

	public String getUsername() {
		return username;
	}
	public void setUsername(String username) {
		this.username = username;
	}
	public String getPassword() {
		return password;
	}
	public void setPassword(String password) {
		this.password = password;
	}
	public String getEmail() {
		return email;
	}
	public void setEmail(String email) {
		this.email = email;
	}
	public int getGroupid() {
		return groupid;
	}
	public void setGroupid(int groupid) {
		this.groupid = groupid;
	}
	public int getUid() {
		return uid;
	}
	public void setUid(int uid) {
		this.uid = uid;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	
	
}
