// JavaScript Document


function showConfirm(msg, callback) {
	if (confirm(msg)) {
		callback.call();
	} else {
		return false;
	}
}

function ajaxForm(formName) {
	if ($('#' + formName)) {
		var input = document.createElement('input');
		input.value = 1;
		input.type = 'hidden';
		input.name = 'ajaxForm';
		$('#' + formName).append(input);
		$('#' + formName).submit(function() {
					var options = {
						dataType : 'json',
						success : function(data) {
							if (data.status == 1) {
								location.href = data.data.url;
							} else {
								alert(data.msg);
							}
						}
					};
					$(this).ajaxSubmit(options);
					return false;
				});
	}
}


// ajax默认回调函数
function ajaxCall(ret) {
	if (ret == '')
		return false;
	ret = ('object' == typeof(ret)) ? ret : eval('(' + ret + ')');
	if (ret.success == true) {
		showMsg('', ret.msg);
	} else {
		showError('', ret.msg);
	}
}

// ajax跳转
function ajaxRedirect(ret, url) {
	if (ret == '')
		return false;
	ret = ('object' == typeof(ret)) ? ret : eval('(' + ret + ')');
	if (ret) {
		console.log(ret);
		if (ret.success == true) {
			showMsg('', ret.msg);
			setTimeout(function() {
						if (!url) {
							location.reload();
						} else {
							location.href = url;
						}
					}, 500);
		} else {
			showError('', ret.msg);
		}
	}
}

// 删除单个信息
function deleteOne(url, msg, e) {
	if (msg == '')
		msg = '确认删除该条信息？';
	showConfirm(msg, function() {
				$.post(url, {},function(ret) {
					ajaxRedirect(ret);
				});
			}, e);

}

$(document).ready(function() {
	$.datepicker.regional['zh-CN'] = {
		clearText : '清除',
		clearStatus : '清除已选日期',
		closeText : '关闭',
		closeStatus : '不改变当前选择',
		prevText : '&lt;上月',
		prevStatus : '显示上月',
		nextText : '下月&gt;',
		nextStatus : '显示下月',
		currentText : '今天',
		currentStatus : '显示本月',
		monthNames : ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月', '九月',
				'十月', '十一月', '十二月'],
		monthNamesShort : ['一月', '二月', '三月', '四月', '五月', '六月', '七月', '八月',
				'九月', '十月', '十一月', '十二月'],
		monthStatus : '选择月份',
		yearStatus : '选择年份',
		weekHeader : '周',
		weekStatus : '年内周次',
		dayNames : ['星期日', '星期一', '星期二', '星期三', '星期四', '星期五', '星期六'],
		dayNamesShort : ['周日', '周一', '周二', '周三', '周四', '周五', '周六'],
		dayNamesMin : ['日', '一', '二', '三', '四', '五', '六'],
		dayStatus : '设置 DD 为一周起始',
		dateStatus : '选择 m月 d日, DD',
		dateFormat : 'yy-mm-dd',
		firstDay : 1,
		initStatus : '请选择日期',
		isRTL : false,
		changeMonth : true,
		changeYear : true
	};
	$.datepicker.setDefaults($.datepicker.regional['zh-CN']);
	$('.datetime').datepicker({
				buttonImage : 'img/calendar.gif',
				buttonImageOnly : true,
				showOn : 'both'
			});

	$("a[class='ajax_del']").click(function(){  
			var msg = "是否确定删除?";
			if ($(this).attr("msg"))
			{
				msg = $(this).attr("msg");
			}
			if (confirm(msg))
			{
				$.post($(this).attr("href"),{},function(data){
					if (data.status == 1) {
						location.reload();
					} else {
						alert(data.msg);
					}
				},"json");
			}
			
			return false;
	})
});